/Users/bernard/b20/bsoft/include/string_util.h(3)

NAME
/Users/bernard/b20/bsoft/include/string_util.h

SYNOPSIS

#include <vector>
#include <sstream>
#include <iterator>
#include <algorithm>
#include <chrono>
#include <complex>

  Macros
#define _STRINGUTIL_

  Functions
string command_line (int argc, char **argv)
string base (string &filename)
string extension (string filename)
string replace_extension (string &filename, string ext)
string insert (string &filename, string ins)
string parameter_file_path (string &filename)
Finds the parameter file path.
vector< string > split (const string &s)
Splits a string on whitespace.
vector< string > split (const string &s, char delim)
Splits a string using a given delimiter.
vector< long > parse_integer_vector (string vecstr)
vector< double > parse_real_vector (string vecstr)
string local_time ()
template<typename T > bool isfinite (complex< T > &value)

Detailed Description

Author:
    Bernard Heymann

Date:
    20160911 - 20180330

Definition in file string_util.h.

Macro Definition Documentation

  #define _STRINGUTIL_

Definition at line 52 of file string_util.h.

Function Documentation

  string base (string & filename)

Definition at line 28 of file string_util.cpp.

  string command_line (int argc, char ** argv)

Definition at line 16 of file string_util.cpp.

  string extension (string filename)

Definition at line 32 of file string_util.cpp.

  string insert (string & filename, string ins)

Definition at line 48 of file string_util.cpp.

  template<typename T > bool isfinite (complex< T > & value)

  string local_time ()

Definition at line 143 of file string_util.cpp.

  string parameter_file_path (string & filename)

Finds the parameter file path.

Parameters:
    &filename the parameter filename.

Returns:
    Bstring the full path and file name.

    The parameter file path should primarily be defined in the environmental
    variable "BPARAM".
    Otherwise a default is used which may or may not be valid.
    The string returned has a length containing the path plus one byte.

Definition at line 69 of file string_util.cpp.

  vector<long> parse_integer_vector (string vecstr)

Definition at line 119 of file string_util.cpp.

  vector<double> parse_real_vector (string vecstr)

Definition at line 131 of file string_util.cpp.

  string replace_extension (string & filename, string ext)

Definition at line 41 of file string_util.cpp.

  vector<string> split (const string & s)

Splits a string on whitespace.

Parameters:
    &s string to be split.

Returns:
    vector<string> vector of strings.

Definition at line 92 of file string_util.cpp.

  vector<string> split (const string & s, char delim)

Splits a string using a given delimiter.

Parameters:
    &s string to be split.
    delim delimiter.

Returns:
    vector<string> vector of strings.

Definition at line 106 of file string_util.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.